## org.gnu.gtk
Class CellRenderer

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.CellRenderer

Direct Known Subclasses:
  CellRendererPixbuf, CellRendererProgress, CellRendererText, CellRendererToggle

public class CellRenderer
extends GtkObject

A CellRenderer is an object used to reder data in a `TreeView` widget. This is for all types of Table, Tree and list. Each renderer has one or more `CellRendererAttribute`. These attributes are for data to be rendered. This data is usually stored in a `TreeModel` object; the two current implementations of `TreeModel` being `ListStore` (for tables and lists) and `TreeStore` for trees.

The choice of data to be rendered is particular to the TreeView widget - any number of TreeView widgets may share the same data and choose to display only a selection of it. Data is displayed in a `TreeView` widget by attaching `TreeViewColumn`s and packing any number of `CellRenderer`s into each column. Links are then made between the renderers and the data in the model via the `TreeViewColumn.addAttributeMapping(CellRenderer, CellRendererAttribute, DataColumn)` method.

This class is a base class for the renderers, either home grown or any of the following standard renderers:

- `CellRendererPixbuf`
- `CellRendererText`
- `CellRendererToggle`

For a full overview of the tree and list objects, see the `TreeView` description.

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.